import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  filename: z.string(),
  pdfData: z.instanceof(Uint8Array),
  uploadedAt: z.coerce.date().optional()
}).strict();
export const PdfFileUncheckedCreateWithoutGroupInputObjectSchema: z.ZodType<Prisma.PdfFileUncheckedCreateWithoutGroupInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileUncheckedCreateWithoutGroupInput>;
export const PdfFileUncheckedCreateWithoutGroupInputObjectZodSchema = makeSchema();
